<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
 <%@include file="/views/common.jsp"%>
</head>
<body>
	<div class="big_box">
		<div class="left_div">
			<h1 class="h1">串旗</h1> <span style="color:red;font-weight:700;"></span>
			<hr>
			<form class="layui-form">
				<input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="串旗" />
				<p> 
					材质
				</p>
				<div class="layui-form-item">
					<select name="kindValue" id="kindValue" lay-filter="kindValue" class="select" lay-search>
						<option value="0">夹黑布</option>
					</select>
				</div>
				<p>
					尺寸(CM/厘米)   <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" autocomplete="off">
				</div>
				<p>
					数量(个)
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入整数" autocomplete="off" name="count" class="layui-input">
				</div>
				<p>
					款数
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
				</div>
				<p>
					客户旺旺
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
				</div>
				<p>
					工艺
				</p>
				<div class="layui-form-item">
					<input type="checkbox" name="craft" value="缝筒" title="缝筒" lay-filter="craft">
			      	<input type="checkbox" name="craft" value="打孔" title="打孔" lay-filter="craft">
			      	<input type="checkbox" name="craft" value="串绳" title="串绳" lay-filter="craft">
			      	<input type="checkbox" name="craft" value="净裁" title="净裁" lay-filter="craft">
			      	<input type="checkbox" name="craft" value="木棍" title="木棍" lay-filter="craft">
				</div>
				<hr>
				<div class="layui-form-item">
					<button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
				<h2>计算结果-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button></h2>
				<div>
					<textarea rows="11" cols="75"  id="span_result" readonly="readonly"></textarea>
					<%@include file="../acountExpressFee.jsp"%>
				</div>
				<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
				<div>
					<textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
				</div>
				<div >
					<table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
				</div>
			</form>
		</div>
		<div class="right_div" style="margin-left:50px;">
			<div class="layui-carousel" id="test1">
				<div carousel-item id="carousel"></div>
				<br>
				<div id="remark" style="font-size:20px;color:red"></div>
			</div> 
		</div>
	</div>
</body>
<%@include file="/views/copyResult.jsp"%>
<script>
layui.use(['table','form'], function(){    
    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
    var table = layui.table;
	
	// 点击计算，计算价格
	form.on('submit(acount_btn)', function(data) {
		var number= $("#number").val();
		var size  = $("#size").val();
		var count = $("#count").val();
		var kind = $("#kindValue option:selected").text();
		var arr = [];
		$("input:checkbox[name='craft']:checked").each(function(i) {
			// 没有被禁用的工艺加到arr中
			if(!$(this).is(':disabled')){
				arr.push($(this).val());
			}
		});
		if(!size){
			layer.msg('请填写尺寸！',{offset:['300px','300px']},function(){});
			return false;
		}
		$.ajax({
			url : "${path}/getThanSum",
			type : "GET",
			data : $(".big_box form").serialize(),
			success : function(result) {
				if(result.code == 100){
					layer.msg(result.msg,{offset:['300px','300px']},function(){});
					return false;
				}
				var data = result.data.proList;
				var span_result = '串旗 - ' + kind + '-' + size +' CM (同款内容)' + "工艺 :" + arr +'\n';
				if(number > 1){
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}else{
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}
				span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
				$("#span_result").val(span_result);
				
				getRemark("串旗", size, count+"个", kind, number, "", "");
				//计算完自动复制文本
				var e=document.getElementById("span_result");//对象是content
				if (e.value != "") {
					e.select();//选择对象
					document.execCommand("Copy");//执行浏览器复制命令
				}
				
				//生成表格
				table.render({
					elem : '#priceTable',
					even : true, //隔行变色
					data : data, // 赋值已知数据
					width : 500,
					cols : [ [ 
						{
							field : 'number',
							width : '12%',
							align : "center",
							title : '款数'
						},{
							field : 'count',
							width : '16%',
							align : "center",
							title : '数量'
						},{
							field : 'price',
							width : '16%',
							align : "center",
							title : '报价'
						},{
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价' 
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价'
						},{
							field : 'weight',
							width : '21%',
							align : "center",
							title : '重量（kg）'
						}
					] ],
					done: function () {
		            }
				});
			}
		});
		return false;
	});
});
</script>
</html>